Summary:	Star Office
Name:		Star_Office
Version:	5.2
Release:	1
License:	GPL
Group:		Web/Office
Packager:       linuxkid <linux@peanutlinux.org>
Source0:	Star_Office-5.2.tar.bz2
Source1:	star.desktop
Source2:	starsetup.desktop
URL: 		http://www.peanutlinux.org
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
%description
Star Office consists of: 

StarOffice Writer - A universal word processing application 
for creating business letters, extensive text documents, pr
ofessional layouts, and Web HTML documents; 

StarOffice Calc - An application for performing spreadsheet 
functions, such as analyzing figures, creating lists, and v
iewing data; 

StarOffice Impress - A presentation tool; 

StarOffice Draw - A vector-oriented draw module that enables
the creation of 3D illustrations; 

StarOffice Base - A database management tool that allows dat
a to be moved between documents; 

StarOffice Schedule - An integrated organizer that helps tra
ck events, tasks, contacts, and projects; 

StarOffice Mail - an electronic mail application; 

StarOffice Discussion - An application that enables participa
tion in Internet newsgroups; and a built-in browser that can 
replace both Internet Explorer and Netscape Navigator. 

%prep
%setup -n Star_Office-5.2

%install
rm -rf $RPM_BUILD_ROOT
mkdir $RPM_BUILD_ROOT
mv $RPM_BUILD_DIR/Star_Office-5.2/usr $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/share/peanut/apps/Office
install %{SOURCE1} $RPM_BUILD_ROOT/usr/share/peanut/apps/Office/star.desktop
install %{SOURCE2} $RPM_BUILD_ROOT/usr/share/peanut/apps/Office/starsetup.desktop
chmod 666 $RPM_BUILD_ROOT/usr/share/peanut/apps/Office/*

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ ! -d /usr/local/office52 ] ; then
chmod -R 777 /usr/local/office52
fi

%files
%defattr(777,root,root,777)
/*
